<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Required Software</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="required">Required Software </a></h1><h2><a class="anchor" id="blas">
BLAS/LAPACK</a></h2>
<p>BLAS and LAPACK are required for PETSc. It is highly recommended to use any vendor specific (and therefore highly optimized) BLAS and LAPACK libraries (cf. <a class="el" href="faq.html">FAQ</a> : <a class="el" href="faq.html#optblas">Optimized BLAS libraries</a>). The generic implementation is available from netlib:<br/>
 <a href="http://www.netlib.org/blas/">http://www.netlib.org/blas/</a><br/>
 <a href="http://www.netlib.org/lapack/">http://www.netlib.org/lapack/</a></p>
<p>Optimized BLAS libraries can be found on the website of the ATLAS project: <br/>
 <a href="http://sourceforge.net/projects/math-atlas/">http://sourceforge.net/projects/math-atlas/</a></p>
<h2><a class="anchor" id="mpi">
MPI</a></h2>
<p>If possible it is again recommended to use any vendor specific MPI libraries, which are highly optimized for your specific hardware platform. If you do not have any MPI implementation readily available, you can use MPICH, OpenMPI, or LAM/MPI.<br/>
 <a href="http://www.mcs.anl.gov/research/projects/mpich2/">http://www.mcs.anl.gov/research/projects/mpich2/</a><br/>
 <a href="http://www.open-mpi.org/">http://www.open-mpi.org/</a><br/>
 <a href="http://www.lam-mpi.org/">http://www.lam-mpi.org/</a></p>
<p>However, magpar/PETSc can also be compiled without MPI support: <a class="el" href="faq.html#singleproc">Single processor version without MPI</a></p>
<h2><a class="anchor" id="sundials">
SUNDIALS</a></h2>
<p>The parallel time integrator PVODE from the SUNDIALS package is used for the dynamic time integration of the Landau-Lifshitz-Gilbert equation, which describes the time evolution of the magnetization distribution.<br/>
 <a href="http://www.llnl.gov/CASC/sundials/">http://www.llnl.gov/CASC/sundials/</a><br/>
 <a href="http://acts.nersc.gov/sundials/">http://acts.nersc.gov/sundials/</a></p>
<p>mapgar can also be compiled without SUNDIALS and just with <a class="el" href="required.html#tao">TAO</a> for energy minimization.</p>
<h2><a class="anchor" id="petsc">
PETSc</a></h2>
<p>PETSc is the core package for magpar. It provides the parallel data types, matrix-vector operations, data input and output, many utility functions, etc.<br/>
 <a href="http://www.mcs.anl.gov/petsc/petsc-as/">http://www.mcs.anl.gov/petsc/petsc-as/</a></p>
<h2><a class="anchor" id="optpack">
Optional Packages</a></h2>
<h2><a class="anchor" id="metis">
ParMETIS</a></h2>
<p>The Metis library can be used for mesh partitioning - to split the problem (i.e. the finite element mesh) into a number of submeshes, which are then dealt with by different processors. Metis uses a very efficient multilevel <em>k</em>-way partitioning algorithm, which gives high quality partitionings.<br/>
 <a href="http://glaros.dtc.umn.edu/gkhome/views/metis/">http://glaros.dtc.umn.edu/gkhome/views/metis/</a><br/>
 <a href="http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview">http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview</a><br/>
 <a href="http://www-users.cs.umn.edu/~karypis/metis/">http://www-users.cs.umn.edu/~karypis/metis/</a><br/>
 <a href="http://www-users.cs.umn.edu/~karypis/metis/parmetis/index.html">http://www-users.cs.umn.edu/~karypis/metis/parmetis/index.html</a></p>
<p>Without ParMETIS magpar can still perform bandwidth optimization or just work with the natural ordering (see options "-metispartition" and "-optimizebw" in <a class="el" href="allopttxt.html">allopt.txt</a>).</p>
<h3><a class="anchor" id="tao">
TAO</a></h3>
<p>"The Advanced Optimization" library is used for the static energy minimzation method.<br/>
 <a href="http://www.mcs.anl.gov/research/projects/tao/">http://www.mcs.anl.gov/research/projects/tao/</a></p>
<h3><a class="anchor" id="zlib">
zlib</a></h3>
<p>This compression library is used to reduce the size of the output files. Especially, the inp-files for AVS, which store snapshots of the magnetization distribution, are compressed very effectively.<br/>
 <a href="http://www.zlib.net">http://www.zlib.net</a></p>
<h3><a class="anchor" id="libpng">
libpng</a></h3>
<p>The libpng library allows magpar to save snapshots of the magnetization distribution as PNG graphics files.<br/>
 <a href="http://www.libpng.org/pub/png/libpng.html">http://www.libpng.org/pub/png/libpng.html</a></p>
<h3><a class="anchor" id="hypre">
hypre</a></h3>
<p>High performance preconditioners for solving large, sparse linear systems of equations on massively parallel computers<br/>
 <a href="https://computation.llnl.gov/casc/linear_solvers/sls_hypre.html">https://computation.llnl.gov/casc/linear_solvers/sls_hypre.html</a></p>
<h3><a class="anchor" id="superlu">
SuperLU</a></h3>
<p>SuperLU is a general purpose library for the direct solution of large, sparse, nonsymmetric systems of linear equations on high performance machines.<br/>
 <a href="http://crd.lbl.gov/~xiaoye/SuperLU/">http://crd.lbl.gov/~xiaoye/SuperLU/</a></p>
<h2><a class="anchor" id="copyright">
Copyright</a></h2>
<p>Each external software package has its own licensing conditions and copyright. However, they are all freely available as open source and most of them published under GNU Public or other <a href="http://opensource.org/licenses/">OSI approved</a> licenses. Please refer to the list of <a class="el" href="liblicenses.html">Licenses</a>. </p>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

